CONFIG_CGROUPS is disabled in highbank

Bug #1014692 reported by Ike Panhc on 2012-06-18
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Eilt project
Undecided
Ike Panhc
linux (Ubuntu)
Undecided
Ike Panhc
Precise
Undecided
Ike Panhc
Quantal
Undecided
Ike Panhc

Bug Description

SRU justification:

Impact: CONFIG_CGROUPS not enabled for highbank kernel

Fix: Apply patch to enable it

TestCase: See https://bugs.launchpad.net/eilt/+bug/1014692/comments/4

Ike Panhc (ikepanhc) wrote :

$ git cat-file blob quantal/master:debian.master/config/armhf/config.flavour.highbank | grep CGR
# CONFIG_CGROUPS is not set

$ git cat-file blob precise/master:debian.master/config/armhf/config.flavour.highbank | grep CGR
# CONFIG_CGROUPS is not set

Changed in linux (Ubuntu):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → Confirmed
Changed in eilt:
status: New → Confirmed
Ike Panhc (ikepanhc) on 2012-06-18
visibility: private → public
Ike Panhc (ikepanhc) on 2012-06-19
Changed in linux (Ubuntu):
status: Confirmed → In Progress
Changed in eilt:
status: Confirmed → In Progress
Ike Panhc (ikepanhc) wrote :

Patch for ubuntu-precise

Ike Panhc (ikepanhc) wrote :

Patch for ubuntu-quantal

tags: added: patch
Ike Panhc (ikepanhc) wrote :

Looks what we need is there with patched kernel

ubuntu@c03:~$ cat /proc/cgroups
#subsys_name hierarchy num_cgroups enabled
cpuset 0 1 1
cpu 0 1 1
cpuacct 0 1 1
memory 0 1 1
devices 0 1 1
freezer 0 1 1
blkio 0 1 1
perf_event 0 1 1
ubuntu@c03:~$ cd /sys/fs
ubuntu@c03:/sys/fs$ ls
cgroup ecryptfs ext4 fuse
ubuntu@c03:/sys/fs$ cat /proc/filesystems
cat /proc/filesystems
nodev sysfs
nodev rootfs
nodev bdev
nodev proc
nodev cgroup
nodev cpuset
nodev tmpfs
nodev devtmpfs
nodev debugfs
nodev securityfs
nodev sockfs
nodev pipefs
nodev anon_inodefs
nodev devpts
 ext3
 ext2
 ext4
nodev ramfs
 vfat
nodev ecryptfs
 fuseblk
nodev fuse
nodev fusectl
nodev mqueue

Ike Panhc (ikepanhc) on 2012-06-19
description: updated
Tim Gardner (timg-tpi) on 2012-06-19
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Tim Gardner (timg-tpi) on 2012-06-19
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Ike Panhc (ikepanhc) on 2012-06-20
Changed in eilt:
status: In Progress → Fix Committed
Changed in linux (Ubuntu Precise):
assignee: nobody → Ike Panhc (ikepanhc)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-2.2

---------------
linux (3.5.0-2.2) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * rebase to v3.5-rc4

  [ Arend van Spriel ]

  * SAUCE: (drop after 3.5) brcmsmac: fix NULL pointer crash in
    brcms_c_regd_init()
    - LP: #950320

  [ Bryan Wu ]

  * [Config] Sync CONFIG_CGROUP_MEM_RES_CTLR_SWAP for ARM

  [ Chris J Arges ]

  * PACKAGING: add .gnu_debuglink sections to .ko files
    - LP: #669641

  [ Leann Ogasawara ]

  * d-i: Add hid-generic to input-modules
    - LP: #1017879

  [ Ming Lei ]

  * SAUCE: Revert "mmc: omap_hsmmc: Enable Auto CMD12"
    - LP: #1017717, #225

  [ Paolo Pisati ]

  * SAUCE: Revert "Fix OMAP EHCI suspend/resume failure (i693)"
    - LP: #1017718
  * [Config] Disable generic USB_EHCI_HCD_PLATFORM on omap3

  [ Seth Forshee ]

  * SAUCE: (drop after 3.5) brcm80211: smac: don't set up tx power limits
    during initialization
    - LP: #950320
  * SAUCE: (drop after 3.5) brcm80211: smac: always set channel specified
    by mac80211
    - LP: #950320
  * SAUCE: (drop after 3.5) brcm80211: smac: remove unused code for 40MHz
    channels
    - LP: #950320
  * SAUCE: (drop after 3.5) brcm80211: smac: clean up channel.c
    - LP: #950320
  * SAUCE: (drop after 3.5) brcm80211: smac: inform mac80211 of the X2
    regulatory domain
    - LP: #950320
  * SAUCE: (drop after 3.5) brcm80211: smac: enable/disable radio on
    regulatory updates
    - LP: #950320
  * SAUCE: (drop after 3.5) brcm80211: smac: use mac80211 channel data for
    tx power limits
    - LP: #950320
  * SAUCE: (drop after 3.5) brcm80211: smac: don't validate channels
    against internal regulatory data
    - LP: #950320
  * SAUCE: (drop after 3.5) brcm80211: smac: use current regulatory domain
    when checking whether OFDM is allowed
    - LP: #950320

  [ Tim Gardner ]

  * [Config] Enable CONFIG_CGROUPS for highbank
    - LP: #1014692
  * [Config] FB_OMAP*=y and PANEL_TFP410=y

  [ Upstream Kernel Changes ]

  * rebase to v3.5-rc4
 -- Leann Ogasawara <email address hidden> Tue, 26 Jun 2012 06:21:05 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Ike Panhc (ikepanhc) wrote :

There is no cgroup supported with old kernel

ubuntu@c02:~$ cat /proc/version
Linux version 3.2.0-26-highbank (buildd@nihal) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #41-Ubuntu SMP PREEMPT Thu Jun 14 20:55:11 UTC 2012
ubuntu@c02:~$ cat /proc/filesystems | grep cgroup

and it looks good with new kernel

ubuntu@c02:~$ cat /proc/version
Linux version 3.2.0-27-highbank (buildd@ain) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #43-Ubuntu SMP PREEMPT Fri Jul 6 16:48:52 UTC 2012
ubuntu@c02:~$ ls -al /sys/fs/cgroup
total 0
drwxr-xr-x 10 root root 200 Dec 31 1969 .
drwxr-xr-x 6 root root 0 Dec 31 1969 ..
drwxr-xr-x 3 root root 0 Dec 31 1969 blkio
drwxr-xr-x 3 root root 0 Dec 31 1969 cpu
drwxr-xr-x 3 root root 0 Dec 31 1969 cpuacct
drwxr-xr-x 3 root root 0 Dec 31 1969 cpuset
drwxr-xr-x 3 root root 0 Dec 31 1969 devices
drwxr-xr-x 3 root root 0 Dec 31 1969 freezer
drwxr-xr-x 3 root root 0 Dec 31 1969 memory
drwxr-xr-x 2 root root 0 Dec 31 1969 perf_event
ubuntu@c02:~$ ls -al /sys/fs/cgroup/cpu
total 0
drwxr-xr-x 3 root root 0 Dec 31 1969 .
drwxr-xr-x 10 root root 200 Dec 31 1969 ..
-rw-r--r-- 1 root root 0 Dec 31 1969 cgroup.clone_children
--w--w--w- 1 root root 0 Dec 31 1969 cgroup.event_control
-rw-r--r-- 1 root root 0 Dec 31 1969 cgroup.procs
-rw-r--r-- 1 root root 0 Dec 31 1969 cpu.cfs_period_us
-rw-r--r-- 1 root root 0 Dec 31 1969 cpu.cfs_quota_us
-rw-r--r-- 1 root root 0 Dec 31 1969 cpu.rt_period_us
-rw-r--r-- 1 root root 0 Dec 31 1969 cpu.rt_runtime_us
-rw-r--r-- 1 root root 0 Dec 31 1969 cpu.shares
-r--r--r-- 1 root root 0 Dec 31 1969 cpu.stat
drwxr-xr-x 4 root root 0 Jul 10 23:36 libvirt
-rw-r--r-- 1 root root 0 Dec 31 1969 notify_on_release
-rw-r--r-- 1 root root 0 Dec 31 1969 release_agent
-rw-r--r-- 1 root root 0 Dec 31 1969 tasks

tags: added: verification-done-precise
removed: verification-needed-precise
Ike Panhc (ikepanhc) on 2012-07-16
tags: removed: ike-radar
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-27.43

---------------
linux (3.2.0-27.43) precise-proposed; urgency=low

  [ Andy Whitcroft ]

  * No change upload to fix .ddeb generation in the PPA.

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1020016

linux (3.2.0-27.42) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1020016

  [ Chris J Arges ]

  * PACKAGING: add .gnu_debuglink sections to .ko files
    - LP: #669641

  [ Ike Panhc ]

  * [Config] Updateconfigs
    - LP: #1008345

  [ Luis Henriques ]

  * SAUCE: (upstreamed) [media] ene_ir: Fix driver initialisation
    - LP: #1014800
  * SAUCE: ocfs2: Fix NULL pointer dereferrence in
    __ocfs2_change_file_space
    - LP: #1006012

  [ Rob Herring ]

  * SAUCE: net: calxedaxgmac: enable rx cut-thru mode
    - LP: #1008345
  * SAUCE: EDAC: Add support for the highbank platform memory
    - LP: #1008345
  * SAUCE: EDAC: add support for highbank platform L2 cache ecc
    - LP: #1008345

  [ Seth Forshee ]

  * (pre-stable): bcma: add ext PA workaround for BCM4331 and BCM43431
    - LP: #925577

  [ Takashi Iwai ]

  * SAUCE: ALSA: hda - Fix power-map regression for HP dv6 & co
    - LP: #1013183

  [ Tim Gardner ]

  * [Config] Enable CONFIG_CGROUPS for highbank
    - LP: #1014692

  [ Upstream Kernel Changes ]

  * Revert "net: maintain namespace isolation between vlan and real device"
    - LP: #1013723
  * x86/amd: Re-enable CPU topology extensions in case BIOS has disabled it
    - LP: #1009087
  * hwmon: (k10temp) Add support for AMD Trinity CPUs
    - LP: #1009086
  * hwmon: (fam15h_power) Increase output resolution
    - LP: #1009086
  * Input: wacom - use BTN_TOOL_FINGER to indicate touch device type
    - LP: #1009435
  * Input: wacom - use switch statement for wacom_tpc_irq()
    - LP: #1009435
  * Input: wacom - isolate input registration
    - LP: #1009435
  * Input: wacom - wireless monitor framework
    - LP: #1009435
  * Input: wacom - create inputs when wireless connect
    - LP: #1009435
  * Input: wacom - wireless battery status
    - LP: #1009435
  * Input: wacom - check for allocation failure in probe()
    - LP: #1009435
  * Input: wacom - add basic Intuos5 support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring/ExpressKey support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring LED support
    - LP: #1009435
  * Input: wacom - add Intuos5 multitouch sensor support
    - LP: #1009435
  * iommu/amd: Add workaround for event log erratum
    - LP: #1013723
  * MIPS: BCM63XX: Add missing include for bcm63xx_gpio.h
    - LP: #1013723
  * cifs: Include backup intent search flags during searches {try #2)
    - LP: #1013723
  * sunrpc: fix loss of task->tk_status after rpc_delay call in
    xprt_alloc_slot
    - LP: #1013723
  * exofs: Fix CRASH on very early IO errors.
    - LP: #1013723
  * cifs: fix oops while traversing open file list (try #4)
    - LP: #1013723
  * Fix dm-multipath starvation when scsi host is busy
    - LP: #1013723
  * ixp4xx: fix compilation by adding gpiolib support
    - LP: #1013723
  * drm/i915: properly handle interlaced bit for sdvo dtd conversion
    - LP: #1013723
...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Ike Panhc (ikepanhc) on 2012-10-15
Changed in eilt:
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers